import { Secret } from "../../types";
export interface SecretsStorage {
    getDefaultSecretId(): Promise<number>;
    getDefaultSecret(): Promise<Readonly<Secret>>;
    getSecretById(id: number): Promise<Readonly<Secret>>;
    storeSecret(secret: Partial<Secret>): Promise<void>;
    deleteSecretById(id: number): void;
    synchronizeSecretsToStorage(): Promise<void>;
    getAllSecrets(): ReadonlyArray<Secret>;
    deleteAllSecrets(): Promise<void>;
}
