"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || (function () {
    var ownKeys = function(o) {
        ownKeys = Object.getOwnPropertyNames || function (o) {
            var ar = [];
            for (var k in o) if (Object.prototype.hasOwnProperty.call(o, k)) ar[ar.length] = k;
            return ar;
        };
        return ownKeys(o);
    };
    return function (mod) {
        if (mod && mod.__esModule) return mod;
        var result = {};
        if (mod != null) for (var k = ownKeys(mod), i = 0; i < k.length; i++) if (k[i] !== "default") __createBinding(result, mod, k[i]);
        __setModuleDefault(result, mod);
        return result;
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
exports.openUrlInBrowser = void 0;
exports.getSupportedBrowsers = getSupportedBrowsers;
exports.getDefaultBrowser = getDefaultBrowser;
const open_1 = __importStar(require("open"));
const constants_1 = require("../constants");
const options_1 = require("./options");
const logger_1 = require("../logger");
const getLogger = () => (0, logger_1.get)("utils.open");
function getSupportedBrowsers() {
    return Object.entries(open_1.apps).map(([key, value]) => ({
        name: key,
        app: value,
    }));
}
async function getDefaultBrowser() {
    return getSupportedBrowsers()[0].name;
}
async function getBrowser() {
    const browser = (0, options_1.getOptionValueFromConfig)(constants_1.OPTION_BROWSER, await getDefaultBrowser());
    return open_1.apps[browser];
}
const openUrlInBrowser = async (url, queryParameters = {}) => {
    const browser = await getBrowser();
    const u = new URL(url);
    for (const [key, value] of Object.entries(queryParameters)) {
        u.searchParams.append(key, value);
    }
    const urlString = u.toString();
    const { debug } = getLogger();
    debug(`open browser ${browser} at ${urlString}`);
    await (0, open_1.default)(urlString, { app: { name: browser } });
};
exports.openUrlInBrowser = openUrlInBrowser;
