import { Command } from "commander";
import { Option, PackageJson } from "../types";
export declare function buildOptionName(command: Command, option: Option): string;
export declare const parseVersion: (version: string) => {
    major: number;
    minor: number;
};
export declare const requireFile: (p: string) => any;
export declare const readPackageJson: (cwd?: string, force?: boolean) => PackageJson;
export declare const getVersion: (cwd?: string) => string;
export declare const getName: (cwd?: string) => string;
export declare const getPackageName: (cwd?: string) => string;
export declare const getDescription: (cwd?: string) => string;
export declare const getEngines: (cwd?: string) => PackageJson["engines"];
export declare const getBin: (cwd?: string) => string;
export declare const removeScopeFromPackageName: (packageName: string) => string;
export declare const parseTenant: (tenant: string) => string;
export declare function isValidURL(url: string): boolean;
export declare const getInfoFromTenant: (tenant: string, verbose: boolean, printOutput?: boolean) => {
    host: string;
    publicfqdn: string;
    passcodeUrl: string;
    tenantUrl: string;
    authorizationUrl: string;
    tokenUrl: string;
};
export declare function removeQueryParametersFromUrl(sUrl: string): string;
export declare const sha256: (string: string) => string;
export declare const toConstantCase: (string: string) => string;
